View Issue Details

IDProjectCategoryView StatusLast Update
0014320LazarusIDEpublic2011-12-01 11:22
Reporterpomalo Assigned ToAndrewH  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Fixed in Version0.9.27 (SVN) 
Summary0014320: cannot deb after svn update to revision 21171 with append-revision
Descriptionafter svn update to revision 21171, unable to create deb with "sudo ./create_lazarus_deb append-revision". Compilation fail with followings errors:

Target OS: Linux for i386
Compiling turbopoweriprodsgn.pas
Compiling ipidehtmlcontrol.pas
PPU Loading /home/claude/tmp/lazarus0.9.27.21171/lazarus_build/usr/share/lazarus/components/turbopower_ipro/units/i386-linux/iphtmlpv.ppu
PPU Source: iphtmlpv.pas not found
PPU Source: ipdefine.inc not found
PPU Source: iphtmlpv.lrs not found
Recompiling IpHtmlPv, checksum changed for IpHtml
iphtmlpv.pas(26,36) Fatal: Can't find unit IpHtmlPv used by IpHtml
Fatal: Compilation aborted
make[2]: *** [turbopoweriprodsgn.ppu] Erreur 1
make[2]: quittant le répertoire « /home/claude/tmp/lazarus0.9.27.21171/lazarus_build/usr/share/lazarus/components/turbopower_ipro/design »
make[1]: *** [bigidecomponents] Erreur 2
make[1]: quittant le répertoire « /home/claude/tmp/lazarus0.9.27.21171/lazarus_build/usr/share/lazarus/components »
make: *** [bigidecomponents] Erreur 2

Linux Ubunti 9.04 fpc 2.2.5
tested on 2 computers with same errors
Additional Informationusing "sudo ./create_lazarus_deb.sh" work but the package does not contain revision number and it is no possible to update without removing old revision
TagsNo tags attached.
Fixed in Revision21175
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0014227 closedAndrewH Patches There are several bugs in turbopower_ipro port, this is a massive revision of it. 

Activities

pomalo

2009-08-11 19:41

reporter   ~0029743

sorry title is
cannot create deb after svn update to revision 21171 with "append-revision" option

theo

2009-08-11 20:02

reporter   ~0029744

Delete the green part here:
http://svn.freepascal.org/cgi-bin/viewvc.cgi/trunk/components/turbopower_ipro/turbopoweripro.lpk?root=lazarus&r1=21136&r2=21135&pathrev=21136

;-)

pomalo

2009-08-11 20:53

reporter   ~0029751

removing the line from turbopoweripro.lpk dont solve the problem but reverting to revision 21135 work (before patch apllied to turbopower)

theo

2009-08-11 22:44

reporter   ~0029756

Yes, I've also renamed then unit name in iphtmlpv.pas to lowercase
unit iphtmlpv;
then clean all and rebuild

Result:
Lazarus 0.9.27 r21174M FPC 2.2.4 i386-linux-gtk 2 (beta)

AndrewH

2009-08-12 00:03

developer   ~0029760

It's related to the patch from bug 14227. It's a fpc problem somehow wanting to recompile units that are already compiled.

theo

2009-08-12 00:07

reporter   ~0029761

I can reproduce it
simply rename
unit ipHtmlPv;
to
unit iphtmlpv;
inside the file and it compiles. I think the other step see "Delete the green part" is also necessary.

Vincent Snijders

2009-08-12 00:15

manager   ~0029762

Hmm, I wonder if we can reproduce this with smaller units, so we can create an fpc bug out of it.

theo

2009-08-12 00:22

reporter   ~0029764

Last edited: 2009-08-12 00:24

I don't know what exactly it is but if you look at turbopoweripro.pas the only
file in lowercase is iphtmlpv. It's probably better to leave the original name of the unit and rename it there to IpHtmlPv.

However I've Lazarus 0.9.27 r21174M FPC 2.2.4 i386-linux-gtk 2 (beta)
running after fiddling a little.

Vincent Snijders

2009-08-12 00:28

manager   ~0029767

I could workaround it by compile the turbopoweripro package twice, before compiling the designer package. But this is not a fix for building debs and snapshots, which build only once from clean sources.

Issue History

Date Modified Username Field Change
2009-08-11 19:38 pomalo New Issue
2009-08-11 19:38 pomalo Widgetset => GTK 2
2009-08-11 19:41 pomalo Note Added: 0029743
2009-08-11 20:02 theo Note Added: 0029744
2009-08-11 20:53 pomalo Note Added: 0029751
2009-08-11 22:44 theo Note Added: 0029756
2009-08-12 00:03 AndrewH Fixed in Revision => 21175
2009-08-12 00:03 AndrewH LazTarget => -
2009-08-12 00:03 AndrewH Status new => resolved
2009-08-12 00:03 AndrewH Fixed in Version => 0.9.27 (SVN)
2009-08-12 00:03 AndrewH Resolution open => fixed
2009-08-12 00:03 AndrewH Assigned To => AndrewH
2009-08-12 00:03 AndrewH Note Added: 0029760
2009-08-12 00:07 theo Note Added: 0029761
2009-08-12 00:15 Vincent Snijders Note Added: 0029762
2009-08-12 00:22 theo Note Added: 0029764
2009-08-12 00:24 theo Note Edited: 0029764
2009-08-12 00:28 Vincent Snijders Note Added: 0029767
2009-08-12 00:29 Vincent Snijders Relationship added related to 0014277
2009-08-12 00:30 Vincent Snijders Relationship deleted related to 0014277
2009-08-12 00:30 Vincent Snijders Relationship added related to 0014227
2011-12-01 11:22 Marc Weustink Status resolved => closed